首页 > Programe, tips > 强制CGIProxy支持SSL

强制CGIProxy支持SSL

2010年4月20日 发表评论 阅读评论

CGIProxy是一个perl写的在线代理软件
通常只要系统装有openssl和perl模块儿Net::SSLeay
CGIProxy就支持SSL的
但是
如果CGIProxy没有跑在secure server上
也就是不是https,而仅是http的话
会出错,提示如下:

Retrieval of secure URLs through a non-secure proxy is forbidden.

我的web服务器是不支持https(关键是要支持的话要另花钱:)的
但好在系统上是有openssl和Net::SSLeay的
打开nph-proxy.cgi看看代码
将$OVERRIDE_SECURIT设成1就好了
像这样:

$OVERRIDE_SECURITY= 1 ;

  1. 本文目前尚无任何评论.
  1. 本文目前尚无任何 trackbacks 和 pingbacks.